commit 45212364fd812be21b98768a5bb3ed67487f59d8
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Thu Jul 17 14:27:08 2025

    testsuite: handle-multiline-outputs must allow both cc1 and cc1.exe
    
    Prior to 14-2027-g985d6480fe5, the input text had the file extensions
    pruned. In 14-2027-g985d6480fe5, due to the move of the call, the
    pruning is never done. This change restores the pruning of the file
    extension to allow multiline test to pass on both Windows and other
    platforms like Linux.
    
    gcc/testsuite/ChangeLog:
    
            * lib/multiline.exp: Added pruning of .exe.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 7494e197e442dcb0fd6aceacdaee732e62b2c5d7)

diff --git a/gcc/testsuite/lib/multiline.exp b/gcc/testsuite/lib/multiline.exp
index 08fd9691a4a..686504773ef 100644
--- a/gcc/testsuite/lib/multiline.exp
+++ b/gcc/testsuite/lib/multiline.exp
@@ -153,6 +153,9 @@ proc handle-multiline-outputs { text } {
     # If dg-enable-nn-line-numbers was provided, then obscure source-margin
     # line numbers by converting them to "NN" form.
     set text [maybe-handle-nn-line-numbers $text]
+
+    # Remove Windows .exe suffix
+    regsub -all "(as|cc1|cc1plus|collect2|f951|ld|lto-wrapper)\.exe?:" $text {\1:} text
     
     set index 0
     foreach entry $multiline_expected_outputs {

